Name:		perl-Bio-SamTools
Version:	1.29
Release:	2%{?dist}
Summary:	Bio::SamTools Perl module
License:	GPL+ or Artistic 2.0
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Bio-SamTools/
Source0:	http://search.cpan.org/CPAN/authors/id/L/LD/LDS/Bio-SamTools-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	perl >= 0:5.008
BuildRequires:	perl(Bio::PrimarySeq)
BuildRequires:	perl(Bio::SeqFeature::Lite)
BuildRequires:	perl(ExtUtils::CBuilder)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(Cwd)
BuildRequires:	perl(Test)
BuildRequires:	samtools-devel >= 0.1.8
BuildRequires:	zlib-devel

#Requires:	 perl-bioperl
Requires:	 perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
This is a Perl interface to the SAMtools sequence alignment interface.
See http://samtools.sourceforge.net/.


%prep
%setup -q -n Bio-SamTools-%{version}
sed -i 's|= find_sam(|= ("%{_includedir}/samtools", "%{_libdir}"|' Build.PL

%build
%{__perl} Build.PL installdirs=vendor optimize="$RPM_OPT_FLAGS" 
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes DISCLAIMER LICENSE README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Bio*
%{_mandir}/man3/*
%{_bindir}/bamToGBrowse.pl
%{_bindir}/genomeCoverageBed.pl

%changelog
* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 1.29-2
- Perl mass rebuild

* Fri Jun 24 2011 Adam Huffman <bloch@verdurin.com> - 1.29-1
- new upstream release 1.29
- see http://cpansearch.perl.org/src/LDS/Bio-SamTools-1.29/Changes for details

* Fri May 27 2011 Adam Huffman <bloch@verdurin.com> - 1.28-2
- add new genomeCoverageBed.pl script

* Fri May 27 2011 Adam Huffman <bloch@verdurin.com> - 1.28-1
- new upstream bugfix release 1.28

* Fri Mar 18 2011 Adam Huffman <bloch@verdurin.com> - 1.27-2
- remove perl-bioperl reqs. and fix license

* Mon Mar 14 2011 Adam Huffman <bloch@verdurin.com> - 1.27-1
- new upstream version 1.27
- remove unnecessary runtime samtools-devel R
- more fine-grained module BR for bioperl and others
- fix license
- remove commented cruft

* Sun Mar 13 2011 Adam Huffman <bloch@verdurin.com> - 1.21-3
- better fix for samtools headers from Petr Pisar

* Sun Oct 10 2010  Adam Huffman <bloch@verdurin.com> - 1.21-2
- add patch to fix includes (from Rasmus)

* Sun Sep 26 2010 Adam Huffman <bloch@verdurin.com> - 1.21-1
- new upstream version

* Mon Sep  6 2010 Adam Huffman <bloch@verdurin.com> - 1.20-3
- filter unwanted provides

* Mon Sep  6 2010 Adam Huffman <bloch@verdurin.com> - 1.20-2
- add zlib BR

* Wed Jul 21 2010 Adam Huffman <bloch@verdurin.com> 1.20-1
- Specfile autogenerated by cpanspec 1.78.
